Holger's Java API

## com.antelmann.sql
Class TaggablePropertyEntrySQLStore<T extends PropertyEntry & Taggable<G>,G extends Keyword>

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<T>
          com.antelmann.sql.TaggablePropertyEntrySQLStore<T,G>

All Implemented Interfaces:
  DBClassStore<T>, ProcessedFilterOption<T>, TransactionRequired, ProcessorHook<T,DatabaseException>, Wrapped<DBClassStore<T>>

Direct Known Subclasses:
  ImageURLEntrySQLStore

    public class TaggablePropertyEntrySQLStore<T extends PropertyEntry & Taggable<G>,G extends Keyword>

extends WrappedDBClassStore<T>

a convenient standard implementation of a DBClassStore combining `TaggableMapping` and `PropertyEntryMapping`. The `WrappedDBClassStore.store` variable contains a `TaggableSQLStore` that contains a `PropertyEntryTableStore`. While this class itself doesn't directly implement `TaggableMapping` and `PropertyEntryMapping`, it can easily be queried via `AbstractDatabase.extractInterface(com.antelmann.db.DBClassStore, Class)`

Since:
  29. November 2006, 00:48
Author:
  Holger Antelmann

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary
`protected String` `detailIdColumn`
`protected String` `detailKeyColumn`
`protected String` `detailTable`
`protected String` `detailValueColumn`
`protected String` `tagIdColumn`
`protected String` `tagNameColumn`
`protected String` `tagTable`

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`TaggablePropertyEntrySQLStore(Database<Connection> database, ObjectRowMapper<T> mapper, Class<T> type, Class<G> groupType)`

Method Summary
`protected void` `initKeys(Database<Connection> db, ObjectRowMapper<T> mapper, Class<T> type, Class<G> groupType)` this method is called in the constructor and only allows to customize the protected member variables before they get used.

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### detailTable

    protected String detailTable

### detailIdColumn

    protected String detailIdColumn

### detailKeyColumn

    protected String detailKeyColumn

### detailValueColumn

    protected String detailValueColumn

### tagTable

    protected String tagTable

### tagIdColumn

    protected String tagIdColumn

### tagNameColumn

    protected String tagNameColumn

Constructor Detail

### TaggablePropertyEntrySQLStore

    public TaggablePropertyEntrySQLStore(Database<Connection> database,
                                         ObjectRowMapper<T> mapper,
                                         Class<T> type,
                                         Class<G> groupType)

Method Detail

### initKeys

    @Warning(value={"this method is called by the constructor","DO NOT CALL ANYTHING that relies on the subclasses to be initialized in here!"})
    protected void initKeys(Database<Connection> db,
                                         ObjectRowMapper<T> mapper,
                                         Class<T> type,
                                         Class<G> groupType)

  this method is called in the constructor and only allows to customize the protected member variables before they get used.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads